Subject: bug#66317: Project mode-line

From: Dmitry Gutov <[email-masked]>
Date: Tue, 3 Oct 2023 20:51:50 +0300

On 03/10/2023 20:11, Juri Linkov wrote:
>> This looks nice (I actually have something similar in my
>> `mode-line-format` already), but I think that modifying
>> `mode-line-format` when project.el is loaded is a bit problematic.
>> Perhaps a better alternative would be to define a variable that holds
>> this mode-line construct, along with an autoloaded function that people
>> can call from their init files to actually add this construct to
>> `mode-line-format`.  WDYT?
> In bug#63469 I implemented 'project-mode' with the buffer-local
> variable 'project-name'.  But due to objections I rewrote this
> to simpler and direct implementation.  I could revive the previous
> patch now.

Could you make it a user option 'project-show-in-mode-line' or similar?

Minor mode 'project-mode-line-mode' would also be okay.